
library(cluster)
library(popgen)

AG21<-read.table("AG21.txt",header = TRUE)
AG<-t(AG21)
map<-read.table("map21.txt",header = TRUE)
par(mfcol=c(1,1))
LDout<-LDmat(AG[,1:21],pos=map[1:21,3])

nmarkers<-21
LDplot<-matrix(NA,nrow=nmarkers*(nmarkers-1)/2,ncol=3)
k<-0
for(i in 1: (nmarkers-1))
{
  for(j in (i+1):nmarkers)
  {
    k<-k+1
    LDplot[k,1]<-abs(map[i,3]-map[j,3])
    LDplot[k,2]<-LDout[i,j]
    LDplot[k,3]<-LDout[j,i]
  }
}

plot(LDplot[,1],LDplot[,3],main="R sq",xlab="cM",ylab="LD",pch=20)
lines(lowess(LDplot[,1],LDplot[,3],f=0.05), col = 2)

par(mfcol=c(2,2))
plot(LDplot[,2],LDplot[,3],main="Compare LD measures",xlab="D'",ylab="R sq",pch=20)
plot(LDplot[,1],LDplot[,3],main="R sq",xlab="cM",ylab="LD",pch=20)
lines(lowess(LDplot[,1],LDplot[,3],f=0.05), col = 2)
plot(LDplot[,1],LDplot[,2],main="D'",xlab="cM",ylab="LD",pch=20)
lines(lowess(LDplot[,1],LDplot[,3],f=0.1), col = 2)
image(LDout, col=c("black", grey(0.4), "blue", "green", "orange","red") )
